## **GrovePi: The Raspberry Pi Meets Grove Sensors**

GrovePi is an open source platform for connecting Grove Sensors to the Raspberry Pi.
![Picture](http://www.dexterindustries.com/GrovePi/wp-content/uploads/2013/10/GrovePi-Grove-for-the-Raspberry-Pi-RPi-and-GrovePi-Side-by-Side.jpg)
There are over 2 million Raspberry Pi in the wild and people are using it for some awesome projects.  From teaching kids to code to cluster computing, the Raspberry Pi is taking over the computing world.  We believe combining the power of code with easy to use sensors and devices will be revolutionary.

We brought Grove and Raspberry Pi together in a simple and affordable way. Grove sensors allow you to interact and monitor the world. Raspberry Pi lets you store and process data, and bring the real world to the Raspberry Pi and the web.  
The GrovePi brings both Grove Sensors and the popular Raspberry Pi together in a simple, elegant, and open source design.  

### How Does it Work?
The GrovePi board slips over the Raspberry Pi.  Connect the Grove Sensors to the GrovePi board.  Upload your program.  Begin taking in the worlds data!
 
### Getting Started
Getting started is easy. Check out our Getting Started With GrovePi Guide [here](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2FGrovePi%2Fget-started-with-the-grovepi%2F&sa=D&sntz=1&usg=AFQjCNGcfVAClI29LR1k00ekcYJC7Tll1g). 
We have an extensive library that covers most Grove sensors. You can find it on the Github repo.  You won’t need to hack much at all with our library: get started coding in Python and C now! 

### Want to use a sensor not in the library yet?  
Ask us in the [forums](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2Fforum%2F%3Fforum%3Dgrovepi&sa=D&sntz=1&usg=AFQjCNHvoZrFzIDFDW5LCPgKIG2JnwAAbg).  Want to use the GrovePi in a language not currently supported? [Ask and we will help](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2Fforum%2F%3Fforum%3Dgrovepi&sa=D&sntz=1&usg=AFQjCNHvoZrFzIDFDW5LCPgKIG2JnwAAbg).

### Programming the GrovePi
The GrovePi can be programmed in Python and C on the Raspberry Pi.  Simply start with one of our [example projects](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2FGrovePi%2Fprojects-for-the-raspberry-pi%2F&sa=D&sntz=1&usg=AFQjCNGoiMlC8E9az6mCY2piHsVCl984xg) or [example code](https://www.google.com/url?q=https%3A%2F%2Fgithub.com%2FDexterInd%2FGrovePi%2Ftree%2Fmaster%2FSoftware&sa=D&sntz=1&usg=AFQjCNEv6DyxtcDNFukjQKpInBSr3uDe-g).  
The GrovePi uses an Arduino to interface between the Raspberry Pi and the Grove Sensors, and comes programmed with a standard firmware.  The firmware can be rewritten from the Raspberry Pi.  

### Getting Help
Need help? We [have a forum here where you can ask questions or make suggestions](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2FGrovePi%2Fprojects-for-the-raspberry-pi%2F&sa=D&sntz=1&usg=AFQjCNGoiMlC8E9az6mCY2piHsVCl984xg).

### Getting Ideas
Need an idea to get started?  [We have a few project examples to get your creative juices flowing](http://www.google.com/url?q=http%3A%2F%2Fwww.dexterindustries.com%2FGrovePi%2Fprojects-for-the-raspberry-pi%2F&sa=D&sntz=1&usg=AFQjCNGoiMlC8E9az6mCY2piHsVCl984xg).

### Getting Into It
Want to hack it open or make your own from scratch? With full hardware and software designs, you can remix and duplicate to your hearts content.

These files have been made available online through a [Creative Commons Attribution-ShareAlike 3.0](http://creativecommons.org/licenses/by-sa/3.0/) license.

See more at the [GrovePi Site](http://dexterindustries.com/GrovePi/)
